[class^="btn-"] {
  @include _reset-button;
  @include _reset-glow;
  @include _transition(all);

  display: block;
  width: auto;
  height: $input-height;
  padding: 0 45px;

  text-align: center;
  transition: 0.5s;
  cursor: pointer;
  @include _font-button();

  border-radius: $input-height;
  box-shadow: 0 0 20px #eee;
}

.btn-default {
  background: color-gray(3);

  @include _link-active() {
    background: color-gray(4);
  }
}

.btn-primary {
  @include _font-button('bold', $color-white);
  background-size: 200% auto;
  background-image: linear-gradient(to right, #02AAB0 0%, #00CDAC  51%, #02AAB0  100%);

  @include _link-active() {
    background-position: right center; /* change the direction of the change here */
    color: #fff;
    text-decoration: none;
  }
}
